FreeBSD : mod_ssl -- SSLCipherSuite bypass (4238151d-207a-11d9-bfe2-0090962cff2a)

High Nessus Plugin ID 37846


The remote FreeBSD host is missing one or more security-related updates.


It is possible for clients to use any cipher suite configured by the virtual host, whether or not a certain cipher suite is selected for a specific directory. This might result in clients using a weaker encryption than originally configured.


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 37846

File Name: freebsd_pkg_4238151d207a11d9bfe20090962cff2a.nasl

Version: $Revision: 1.8 $

Type: local

Published: 2009/04/23

Modified: 2013/06/21

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:apache+mod_ssl, p-cpe:/a:freebsd:freebsd:apache+mod_ssl+ipv6, p-cpe:/a:freebsd:freebsd:apache2, p-cpe:/a:freebsd:freebsd:ru-apache+mod_ssl, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2004/10/23

Vulnerability Publication Date: 2004/10/01

Reference Information

CVE: CVE-2004-0885